# Created by pyp2rpm-3.3.2
%global pypi_name termstyle

Name:           python-%{pypi_name}
Version:        0.1.11
Release:        %mkrel 4
Summary:        console colouring for python
Group:          Development/Python
License:        BSD
URL:            http://github.com/gfxmonk/termstyle
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
termstyle is a simple python library for adding coloured output to terminal
(console) programs. The definitions come from ECMA-048, the "Control Functions
for Coded Character Sets" standard.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
termstyle is a simple python library for adding coloured output to terminal
(console) programs. The definitions come from ECMA-048, the "Control Functions
for Coded Character Sets" standard.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.11-4.mga8
+ Revision: 1531825
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.1.11-3.mga8
+ Revision: 1441248
- submit to core/release

* Sun Sep 15 2019 tv <tv> 0.1.11-2.mga8
+ Revision: 1441234
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.1.11-1.mga7
+ Revision: 1394006
- imported package python-termstyle

